<h1>
    <!-- <span style="font-weight: bold;">MONITORING STATUS MOBIL <span style="display: flex;align-items: right; justify-content:right;font-weight: bold;">{{ currentDateTime }}</span> -->
    <div style="display: flex; justify-content: space-between; align-items: center; font-weight: bold;">
        <span>MONITORING STATUS MOBIL</span>
        <span>{{ currentDateTime }}</span>
    </div>
    </span>
</h1>
<jhi-alert></jhi-alert>
<br />
<div id="legendwrapper">
    <div class="legend" style="display: flex;align-items: left; justify-content:left;">
        <h1><span style="margin-right: 20px; font-weight: bold;">KETERANGAN WARNA STATUS : </span></h1>

        <div class="legend-item target"
            style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #8E24AA;">
        </div>
        <h2><span style="margin-right: 10px; font-weight: bold;">STANDBY</span></h2>

        <div class="legend-item po"
            style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #FFB300;">
        </div>
        <h2><span style="margin-right: 10px; font-weight: bold;">ON PROGRESS</span></h2>

        <div class="legend-item shipping"
            style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #000000">
        </div>
        <h2><span style="margin-right: 10px; font-weight: bold;">FINISH</span></h2>
    </div>
</div>
<!-- <p-dataTable [value]="picRoles" [responsive]="true" expandableRows="true" rowHover="true">
    <p-header>
        <div id="legendwrapper">
            <div class="legend" style="display: flex;align-items: left; justify-content:left;">
                <h1><span style="margin-right: 20px; font-weight: bold;">KETERANGAN WARNA STATUS : </span></h1>

                <div class="legend-item target"
                    style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #FF8000;">
                </div>
                <h2><span style="margin-right: 10px; font-weight: bold;">STANDBY</span></h2>

                <div class="legend-item po"
                    style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #0056B3;">
                </div>
                <h2><span style="margin-right: 10px; font-weight: bold;">ON PROGRESS</span></h2>

                <div class="legend-item shipping"
                    style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #009900">
                </div>
                <h2><span style="margin-right: 10px; font-weight: bold;">FINISH</span></h2>
            </div>
        </div>
    </p-header>
    <p-column field="No" header="NO."
        [style]="{ 'width': '15px', 'text-align': 'center','font-size': '40px', 'font-weight': 'bold'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body" let-rowData="rowData">
            <span *ngIf="rowData.NamaSts === 'STANDBY'" style="color: #FF8000;">
                {{ rowIndex + 1 }}
            </span>
            <span *ngIf="rowData.NamaSts === 'ON PROGRESS'" style="color: #0056B3;">
                {{ rowIndex + 1 }}
            </span>
            <span *ngIf="rowData.NamaSts === 'FINISH'" style="color: #009900;">
                {{ rowIndex + 1 }}
            </span>
        </ng-template>
    </p-column>
    <p-column header="DISTRIBUTOR"
        [style]="{ 'width': '75px', 'text-align': 'center','font-size': '40px', 'font-weight': 'bold'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <span *ngIf="rowData.NamaSts === 'STANDBY'" style="color: #FF8000; font-weight: bold;">
                {{ rowData.cust_name }}
            </span>
            <span *ngIf="rowData.NamaSts === 'ON PROGRESS'" style="color: #0056B3; font-weight: bold;">
                {{ rowData.cust_name }}
            </span>
            <span *ngIf="rowData.NamaSts === 'FINISH'" style="color: #009900; font-weight: bold;">
                {{ rowData.cust_name }}
            </span>
        </ng-template>
    </p-column>
    <p-column header="TUJUAN"
        [style]="{ 'width': '30px', 'text-align': 'center','font-size': '40px', 'font-weight': 'bold'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <span *ngIf="rowData.NamaSts === 'STANDBY'" style="color: #FF8000; font-weight: bold;">
                {{ rowData.tujuan }}
            </span>
            <span *ngIf="rowData.NamaSts === 'ON PROGRESS'" style="color: #0056B3; font-weight: bold;">
                {{ rowData.tujuan }}
            </span>
            <span *ngIf="rowData.NamaSts === 'FINISH'" style="color: #009900; font-weight: bold;">
                {{ rowData.tujuan }}
            </span>
        </ng-template>
    </p-column>
    <p-column header="EKSPEDISI"
        [style]="{ 'width': '40px', 'text-align': 'center','font-size': '40px', 'font-weight': 'bold'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <span *ngIf="rowData.NamaSts === 'STANDBY'" style="color: #FF8000; font-weight: bold;">
                {{ rowData.nmEkspedisi }}
            </span>
            <span *ngIf="rowData.NamaSts === 'ON PROGRESS'" style="color: #0056B3; font-weight: bold;">
                {{ rowData.nmEkspedisi }}
            </span>
            <span *ngIf="rowData.NamaSts === 'FINISH'" style="color: #009900; font-weight: bold;">
                {{ rowData.nmEkspedisi }}
            </span>
        </ng-template>
    </p-column>
    <p-column header="NO. MOBIL"
        [style]="{ 'width': '40px', 'text-align': 'center','font-size': '40px', 'font-weight': 'bold'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <span *ngIf="rowData.NamaSts === 'STANDBY'" style="color: #FF8000; font-weight: bold;">
                {{ rowData.no_mobil }}
            </span>
            <span *ngIf="rowData.NamaSts === 'ON PROGRESS'" style="color: #0056B3; font-weight: bold;">
                {{ rowData.no_mobil }}
            </span>
            <span *ngIf="rowData.NamaSts === 'FINISH'" style="color: #009900; font-weight: bold;">
                {{ rowData.no_mobil }}
            </span>
        </ng-template>
    </p-column>
    <p-column header="STATUS"
        [style]="{ 'width': '40px', 'text-align': 'center','font-size': '40px', 'font-weight': 'bold'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <span *ngIf="rowData.NamaSts === 'STANDBY'" style="color: #FF8000; font-weight: bold;">
                {{ rowData.NamaSts }}
            </span>
            <span *ngIf="rowData.NamaSts === 'ON PROGRESS'" style="color: #0056B3; font-weight: bold;">
                {{ rowData.NamaSts }}
            </span>
            <span *ngIf="rowData.NamaSts === 'FINISH'" style="color: #009900; font-weight: bold;">
                {{ rowData.NamaSts }}
            </span>
        </ng-template>
    </p-column>
    <p-column header="LOKASI"
        [style]="{ 'width': '40px', 'text-align': 'center','font-size': '40px', 'font-weight': 'bold'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <span *ngIf="rowData.NamaSts === 'STANDBY'" style="color: #FF8000; font-weight: bold;">
                {{ rowData.nmLokasi }}
            </span>
            <span *ngIf="rowData.NamaSts === 'ON PROGRESS'" style="color: #0056B3; font-weight: bold;">
                {{ rowData.nmLokasi }}
            </span>
            <span *ngIf="rowData.NamaSts === 'FINISH'" style="color: #009900; font-weight: bold;">
                {{ rowData.nmLokasi }}
            </span>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex="rowIndex" pTemplate="rowexpansion">
    </ng-template>
</p-dataTable> -->
<div>
    <div class="row">
        <div class="ui-g-12">
            <table class="table table-striped table-responsive">
                <thead>
                    <tr>
                        <th style="width: 15px;text-align: center;font-size: 40px;font-weight: bold">NO. </th>
                        <th style="width: 75px;text-align: center;font-size: 40px;font-weight: bold">DISTRIBUTOR</th>
                        <th style="width: 30px;text-align: center;font-size: 40px;font-weight: bold">TUJUAN</th>
                        <th style="width: 40px;text-align: center;font-size: 40px;font-weight: bold">EKSPEDISI</th>
                        <th style="width: 60px;text-align: center;font-size: 40px;font-weight: bold">NO. MOBIL</th>
                        <th style="width: 40px;text-align: center;font-size: 40px;font-weight: bold">STATUS</th>
                        <th style="width: 40px;text-align: center;font-size: 40px;font-weight: bold">LOKASI</th>
                    </tr>
                </thead>
                <tbody >
                    <tr *ngFor="let detail of picRoles; let i = index;">
                        <td>
                            <span *ngIf="detail.NamaSts === 'STANDBY'" style="text-align: left;font-size: 40px;font-weight: bold; color: #8E24AA ">{{ i + 1 }}</span>
                            <span *ngIf="detail.NamaSts === 'ON PROGRESS'" style="text-align: left;font-size: 40px;font-weight: bold; color: #FFB300 ">{{ i + 1 }}</span>
                            <span *ngIf="detail.NamaSts === 'FINISH'" style="width: 15px;text-align: left;font-size: 40px;font-weight: bold; color: #000000" >{{ i + 1 }}</span>
                        </td>
                        <td>
                            <span *ngIf="detail.NamaSts === 'STANDBY'" style="text-align: left;font-size: 40px;font-weight: bold; color: #8E24AA ">{{ detail.cust_name }}</span>
                            <span *ngIf="detail.NamaSts === 'ON PROGRESS'" style="text-align: left;font-size: 40px;font-weight: bold; color: #FFB300 ">{{ detail.cust_name }}</span>
                            <span *ngIf="detail.NamaSts === 'FINISH'" style="text-align: left;font-size: 40px;font-weight: bold; color: #000000" >{{ detail.cust_name }}</span>
                        </td>
                        <td> 
                            <span *ngIf="detail.NamaSts === 'STANDBY'" style="text-align: left;font-size: 40px;font-weight: bold; color: #8E24AA ">{{ detail.tujuan }}</span>
                            <span *ngIf="detail.NamaSts === 'ON PROGRESS'" style="text-align: left;font-size: 40px;font-weight: bold; color: #FFB300 ">{{ detail.tujuan }}</span>
                            <span *ngIf="detail.NamaSts === 'FINISH'" style="text-align: left;font-size: 40px;font-weight: bold; color: #000000" >{{ detail.tujuan }}</span>
                        </td>
                        <td>
                            <span *ngIf="detail.NamaSts === 'STANDBY'" style="text-align: left;font-size: 40px;font-weight: bold; color: #8E24AA ">{{ detail.nmEkspedisi }}</span>
                            <span *ngIf="detail.NamaSts === 'ON PROGRESS'" style="text-align: left;font-size: 40px;font-weight: bold; color: #FFB300 ">{{ detail.nmEkspedisi }}</span>
                            <span *ngIf="detail.NamaSts === 'FINISH'" style="text-align: left;font-size: 40px;font-weight: bold; color: #000000" >{{ detail.nmEkspedisi }}</span>
                        </td>
                        <td>
                            <span *ngIf="detail.NamaSts === 'STANDBY'" style="text-align: left;font-size: 40px;font-weight: bold; color: #8E24AA ">{{ detail.no_mobil }}</span>
                            <span *ngIf="detail.NamaSts === 'ON PROGRESS'" style="text-align: left;font-size: 40px;font-weight: bold; color: #FFB300 ">{{ detail.no_mobil }}</span>
                            <span *ngIf="detail.NamaSts === 'FINISH'" style="text-align: left;font-size: 40px;font-weight: bold; color: #000000" >{{ detail.no_mobil }}</span>
                        </td>
                        <td>
                            <span *ngIf="detail.NamaSts === 'STANDBY'" style="text-align: left;font-size: 40px;font-weight: bold; color: #8E24AA ">{{ detail.NamaSts }}</span>
                            <span *ngIf="detail.NamaSts === 'ON PROGRESS'" style="text-align: left;font-size: 40px;font-weight: bold; color: #FFB300 ">{{ detail.NamaSts }}</span>
                            <span *ngIf="detail.NamaSts === 'FINISH'" style="text-align: left;font-size: 40px;font-weight: bold; color: #000000" >{{ detail.NamaSts }}</span>
                        </td>
                        <td>
                            <span *ngIf="detail.NamaSts === 'STANDBY'" style="text-align: left;font-size: 40px;font-weight: bold; color: #8E24AA ">{{ detail.nmLokasi }}</span>
                            <span *ngIf="detail.NamaSts === 'ON PROGRESS'" style="text-align: left;font-size: 40px;font-weight: bold; color: #FFB300 ">{{ detail.nmLokasi }}</span>
                            <span *ngIf="detail.NamaSts === 'FINISH'" style="text-align: left;font-size: 40px;font-weight: bold; color: #000000" >{{ detail.nmLokasi }}</span>
                        </td>
                    </tr>
                  
                </tbody>
            </table>
        </div>
    </div>
</div>
<div style="margin-top: 10px"></div>
<p-confirmDialog></p-confirmDialog>